<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>v-html</title>
</head>
<body>
    <div id="app">
        <p v-html="titulo"></p>
        <p v-html="link"></p>

    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>

        const app = new Vue({
            el:"#app",
            data: {
                link:"<a href='https://www.youtube.com'>Link de prueba</a>",
                titulo: "<h1>Curso prueba</h1>"

            },
          
          
        })
    </script>
</body>
</html>